Package weka.gui.knowledgeflow

# Class SendToPerspectiveGraphicalCommand

java.lang.Object
weka.gui.knowledgeflow.AbstractGraphicalCommand
weka.gui.knowledgeflow.SendToPerspectiveGraphicalCommand

public class SendToPerspectiveGraphicalCommand extends AbstractGraphicalCommand
Class implementing sending a set of Instances to a named perspective

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SEND_TO_PERSPECTIVE_COMMAND_KEY`
  Command ID

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendToPerspectiveGraphicalCommand()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommandDescription()`
  Get the description of this command
  `String`
  `getCommandName()`
  Get the name of the command
  `Object`
  `performCommand(Object... commandArgs)`
  Execute the command
  `void`
  `setGraphicalEnvironment(Object graphicalEnvironment)`
  Set the graphical environment

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SEND_TO_PERSPECTIVE_COMMAND_KEY

    public static final String SEND_TO_PERSPECTIVE_COMMAND_KEY
    Command ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendToPerspectiveGraphicalCommand

    public SendToPerspectiveGraphicalCommand()

- ## Method Details

  - ### setGraphicalEnvironment

    public void setGraphicalEnvironment(Object graphicalEnvironment)
    Set the graphical environment
    Overrides:
      `setGraphicalEnvironment` in class `AbstractGraphicalCommand`
    Parameters:
      `graphicalEnvironment` - the graphical environment

  - ### getCommandName

    public String getCommandName()
    Get the name of the command
    Specified by:
      `getCommandName` in class `AbstractGraphicalCommand`
    Returns:
      the name of the command

  - ### getCommandDescription

    public String getCommandDescription()
    Get the description of this command
    Specified by:
      `getCommandDescription` in class `AbstractGraphicalCommand`
    Returns:
      the description of this command

  - ### performCommand

    public Object performCommand(Object... commandArgs) throws WekaException
    Execute the command
    Specified by:
      `performCommand` in class `AbstractGraphicalCommand`
    Parameters:
      `commandArgs` - arguments to the command
    Returns:
      null (no return value for this command)
    Throws:
      `WekaException` - if a problem occurs